@echo off

echo.
echo JAR File Signer v1.0

if(%1%) == () goto usage
if(%2%) == () goto usage

set USER=%1%
set SIGNFILE=%USER%\signingdirective
set JARFILE=%2%

echo.
echo Signing the JAR file %JARFILE% with user identity %USER%
echo.


javakey -gs %SIGNFILE% %JARFILE% 

goto done

:usage

echo.
echo Usage: jarfile-signer IDENTITY JARFILE
echo.

:done
